GuideLab Docs

List Stripe Connect Quarantine

List 25 held Connect events for the active lab, with at most three normalized review outcomes per event.

GET
/finances/stripe-quarantine

List 25 held Connect events for the active lab, with at most three normalized review outcomes per event.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Query Parameters

before?string
Match^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}(?::\d{2}(?:\.\d{1,9})?)?(?:Z|[+-]\d{2}:\d{2})$
beforeId?string
Length1 <= length <= 255

Response Body

application/json

curl -X GET "https://example.com/finances/stripe-quarantine"
{  "data": [    {      "eventId": "string",      "stripeAccountId": "string",      "stripePaymentIntentId": "string",      "type": "string",      "quarantineReason": "string",      "receivedAt": "string",      "reviews": [        {          "id": "string",          "attempt": 0,          "reviewerUserId": "string",          "outcome": "pending",          "errorCode": "string",          "createdAt": "string",          "finishedAt": "string"        }      ],      "canReplay": true    }  ],  "next": {    "before": "string",    "beforeId": "string"  }}